Last Comment Bug 328160 - The name lookup for "bzero" did not find a declaration on AIX
: The name lookup for "bzero" did not find a declaration on AIX
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: GFX: Gtk (show other bugs)
: Trunk
: Other AIX
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 23:04 PST by Ganesh
Modified: 2009-01-22 10:17 PST (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch for firefox 1.5 (532 bytes, patch)
2006-02-22 03:05 PST, Ganesh
roc: review+
roc: superreview+
roc: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review

Description Ganesh 2006-02-21 23:04:09 PST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)
Build Identifier: 

Building Firefox 1.5 with "pango enabled" on AIX5.3 machine end up with the following error:

"/firefox15/mozilla/gfx/src/gtk/nsFontMetricsPango.cpp", line 1319.9: 1540-0274 (S) The name lookup for "bzero" did not find a declaration.

But when adding #include <strings.h> header file to the top of the "nsFontMetricsPango.cpp" file resolves the problem.



Reproducible: Always

Steps to Reproduce:
1. Start building Firefox 1.5 with "pango enabled"

Actual Results:  
Build fails with 'The name lookup for "bzero" did not find a declaration' error.

Expected Results:  
The declaration of bzero should be included in the corresponding source file and the build should not fail.

https://bugzilla.mozilla.org/show_bug.cgi?id=237729

The above bug looks similar to this problem but it failed in different source file.
Comment 1 Ganesh 2006-02-22 03:05:07 PST
Created attachment 212730 [details] [diff] [review]
Patch for firefox 1.5
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-22 14:44:22 PST
Comment on attachment 212730 [details] [diff] [review]
Patch for firefox 1.5

In future, please request review from some particular person. Setting review? with no target means it will probably be ignored. Thanks for the patch though! I'll check it in for you.
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-22 14:45:41 PST
Comment on attachment 212730 [details] [diff] [review]
Patch for firefox 1.5

I'll also approve this trivial build fix for 1.8.1 ... should go on 1.8.0.2 too
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-22 14:57:24 PST
checked in on trunk and 1.8.1 branch.
Comment 5 Daniel Veditz [:dveditz] 2006-02-23 11:53:22 PST
Comment on attachment 212730 [details] [diff] [review]
Patch for firefox 1.5

approved for 1.8.0 branch, a=dveditz for drivers
Comment 6 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2006-02-23 13:02:13 PST
checked into 1.8.0.2
Comment 7 Dave Liebreich [:davel] 2006-03-02 10:59:37 PST
marking [nvn-dl], which removes this bug from the "to be verified by QA" list
for Firefox 1.5.0.2.

Note You need to log in before you can comment on or make changes to this bug.